Subject: bug#59900: 30.0.50; map pattern in pcase causes a byte-compile error

From: Visuwesh <[email-masked]>
Date: Thu, 08 Dec 2022 20:19:26 +0530

[வியாழன் டிசம்பர் 08, 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: Akira Komamura <[email-masked]>,  [email-masked]
>> Date: Thu, 08 Dec 2022 18:33:17 +0530
>> 
>> [வியாழன் டிசம்பர் 08, 2022] Eli Zaretskii wrote:
>> 
>> > Could you please point out where does pcase.el uses 'map' in its
>> > source?
>> 
>> Pcase matcher that uses the map library is in in map.el.
>> See the (pcase-defmacro map (&rest args) line.
>
> Thanks, but if the offending code is in map.el, then there should be
> no problem for it to use functions or macros in map.el, right?
>
> Or what am I missing?

I do not understand your reply but AFAIU, the error shows up because the
compiler does not know about the pcase map matching pattern during
compilation-time so I think the problem is in org-bookmark-heading
package missing a require statement for map.el and not in core.
[ Akira proposes to autoload the map.el matching pattern to avoid future
  errors as rx's pattern is already autoloaded.  ]